local gradient = love.graphics.newPixelEffect([[
	extern float width, height;
	vec4 effect(vec4 colour, Image image, vec2 local, vec2 screen)
	{ // red and green scale with proportion of screen coordinates
	vec4 screen_colour = vec4(
		screen.x / width,
		screen.y / height,
		(screen.x+screen.y)/2*(width+height),
		1.0);
		return screen_colour;
		}
	]])

return gradient
