function love.load()
	gr = love.graphics
	width, height = 512, 512
	flag={center=true}
	love.graphics.setMode( width, height,flag)

	gradient  = require 'gradient'
		gradient:send('width', width)
		gradient:send('height',height)
	texture = require 'texture'

	 local perlin = love.filesystem.read("perlin2d.glsl") -- prepend the noise function definition to the effect definition
		noise = love.graphics.newPixelEffect(perlin .. [[
        vec4 effect(vec4 colour, Image image, vec2 local, vec2 screen)
        { // scale the screen coordinates to scale the noise
		number noise = perlin2d(screen / 128.0);  // the noise is between -1 and 1, so scale it between 0 and 1
		noise = noise * 0.5 + 0.5;
		return vec4(noise, noise, 0, 1.0);
		}
		]])
	image = love.graphics.newImage("lenaC.jpg")
	angle = 0
	end

function love.update(dt)
	angle=angle+dt
	end

function love.draw()
	love.graphics.setPixelEffect(gradient)
	love.graphics.triangle("fill", 0, 0, 0, 512, 512, 0)
	love.graphics.triangle("fill", 256, 256, 256, 512, 512, 256)
	love.graphics.triangle("fill", 384, 384, 384, 512, 512, 384)
	love.graphics.setPixelEffect(texture)
	love.graphics.draw(image, 256, 256, angle, 0.5, 0.5,200,200)
	love.graphics.setPixelEffect()
	love.graphics.setPixelEffect(noise)
	gr.setColor(255,255,255)
	love.graphics.rectangle("fill", 0, 0, 128, 128)
	love.graphics.setPixelEffect()
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.quit() 	end
	end
