	local texture = love.graphics.newPixelEffect([[
		vec4 effect(vec4 colour, Image image, vec2 local, vec2 screen)
		{ // red and green components scale with texture coordinates
		vec4 coord_colour = vec4(
			local.x,
			local.y,
			0.0,
			1.0);
		// use the appropriate pixel from the texture
		vec4 image_colour = Texel(image, local);
		// mix the two colours equally
		return mix(coord_colour, image_colour, 0.5);
		}
		]])

return texture
